import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react()],
  resolve: {
    alias: {
      "@": "/src",
    },
  },
  server: {
    port: 3688,
    open: true,
    proxy: {
      "/login": {
        target: "http://192.168.2.21:21590",
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/login/, ""),
      },
      "/apis": {
        //yanghuangling
        // target: "http://192.168.31.213:21570",
        // target: "http://192.168.31.110:21610",
        target: "http://192.168.2.21:21610",

        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/apis/, ""),
      },
    },
  },
});
